Page MenuHomePhabricator

Checking code review metrics for a specific repository may take dozens of clicks
Closed, ResolvedPublic

Description

Let's say a user wants to check MediaWiki core metrics about code review (true example, see T107562#1579585). It won't be easy to find them, and there is no static URL to rely on.

http://korma.wmflabs.org/browser/gerrit_review_queue.html contains the list of repositories, and the only way to check the data of a specific repository is to click page after page until finding it.

This page a search box, but it ends in the project page directly, where such data is not found. http://korma.wmflabs.org/browser/repository.html?repository=gerrit.wikimedia.org_mediawiki_core is a static URL, but it is not helpful to find the graphs we are looking for.

The ideal solution would be to add these graphs to the project pages.

Event Timeline

Qgil created this task.Aug 27 2015, 1:16 PM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: wikimedia.biterg.io.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2015, 1:16 PM
Aklapper triaged this task as Low priority.Aug 28 2015, 6:42 PM
Aklapper raised the priority of this task from Low to Medium.Aug 31 2015, 8:34 PM
Aklapper updated the task description. (Show Details)
Aklapper set Security to None.
Aklapper added a subscriber: Dicortazar.

@Dicortazar: Any idea how complicated would this be? Would love to make it easy for developer teams to find these three stats for the projects they are responsible for.

I'm looking at browser/repository.html and templates/common/repository.tmpl (and wonder which one this would be to edit) and it looks like this is not "just" copying a section from browser/gerrit_review_queue.html over, hence wondering how this could work.

Aklapper added a project: DevRel-October-2015.

@Dicortazar to investigate how to improve this, should get fixed before next Gerrit Cleanup Day.

@Aklapper, @Qgil, the issue here is how to have access to the information.

Do you think that adding the three charts info in the repository page would help with this task?.

My proposal would be to keep that list of charts as it is know, but add to the repository/project page the three charts. Thus, when someone looks for the specific repo, she would have also access to the required info.

Do you think that adding the three charts info in the repository page would help with this task?.

Yeah, adding those three charts from gerrit_review_queue to the existing two charts on repository.html sounds feasible to me, if that is not too complicated.

Ok, let's go for this solution :). I'll keep you updated!

The three charts are now found in each of the repositories.

Closing the task!.

Dicortazar closed this task as Resolved.Oct 19 2015, 1:54 PM

The three charts are now found in each of the repositories.

They are. Great, thank you! This will help us save some time!

How is the time scale of each chart determined?
gerrit_review_queue.html keeps them the same and hence comparable for my eyes, but for BayesianFilter on repository.html
there is "New changesets" starting in August 2013, "Waiting for review" starting in March 2014, and "Time from last patchset" starting in August 2013. Screenshot:

Tell me if it makes sense if I filed a separate task about this.

(For the records, other bugs I ran into while testing filed as T115871, T115872.)